Package com.sas.lsaf.workflow.processdefinition

## Class SignalEventDefinition

- java.lang.Object
- - com.sas.lsaf.workflow.processdefinition.FlowElementDefinition
  - - com.sas.lsaf.workflow.processdefinition.SignalEventDefinition

- All Implemented Interfaces:
    `IntermediateEventDefinition`, `java.io.Serializable`

      public class SignalEventDefinition
      extends FlowElementDefinition
      implements IntermediateEventDefinition

  The class that represents a signal event definition.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SignalEventDefinition​(java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, java.lang.String parentId, SignalDefinition signal)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `SignalDefinition` | `getSignal()` | Gets the signal definition for the signal event.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.processdefinition.FlowElementDefinition

      `getDescription, getElementId, getName, getParentId, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SignalEventDefinition

          public SignalEventDefinition​(java.lang.String elementId,
                                       java.lang.String name,
                                       java.lang.String description,
                                       Element.ElementType type,
                                       java.lang.String parentId,
                                       SignalDefinition signal)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the signal event definitions returned by the API.
      Parameters:
        `elementId` - The id of the signal event element as it appears in the process flow definition.
        `name` - The name of the signal event as it appears in the process flow definition.
        `description` - The description of the signal event as it appears in the process flow definition.
        `type` - The type of the signal event that is associated with the type in the process flow definition.
        `parentId` - The identifier of the flow definition that is the parent of this signal event.
        `signal` - The signal definition for the signal event.

  - ### Method Detail

    - #### getSignal

          public SignalDefinition getSignal()

      Gets the signal definition for the signal event.
      Returns:
        The signal definition.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FlowElementDefinition`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `FlowElementDefinition`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `FlowElementDefinition`